//==================================================================================
// The information contained herein is the exclusive property of
// Generalplus Technology Co. And shall not be distributed, reproduced,
// or disclosed in whole in part without prior written permission.
//       (C) COPYRIGHT 2009   Generalplus TECHNOLOGY CO.                            
//                   ALL RIGHTS RESERVED
// The entire notice above must be reproduced on all authorized copies.
//==================================================================================
//==================================================================================
// Name                  : BAM_Define.inc
// Applied Body          : GPL951
// Programmer            : 
// Description           : BAM driver define file
// History version       : 
// Rev #      Date         Who			Comments
// -----	 -----------   ---------	--------------------------------------------
// 1.0	      							Oringinal Version
//==================================================================================

//==========================================
// Include file area
//==========================================

//==========================================
// Constant define area
//==========================================
.define BAM0 1					//1: Enable IOB0 as BAM, refer to TimerA setting
.define BAM0_Polarity	1		//0: Output low pulse
								//1: Output high pulse
.define BAM1 1					//1: Enable IOB1 as BAM, refer to TimerB setting
.define BAM1_Polarity	1		//0: Output low pulse
								//1: Output high pulse
.define BAM2 1					//1: Enable IOB2 as BAM, refer to TimerC setting
.define BAM2_Polarity	1		//0: Output low pulse
								//1: Output high pulse
.define BAM3 1					//1: Enable IOB3 as BAM, refer to TimerD setting
.define BAM3_Polarity	1		//0: Output low pulse
								//1: Output high pulse
.define BAM4 1					//1: Enable IOB4 as BAM, refer to TimerE setting
.define BAM4_Polarity	1		//0: Output low pulse
								//1: Output high pulse
.define BAM5 1					//1: Enable IOB5 as BAM, refer to TimerF setting
.define BAM5_Polarity	1		//0: Output low pulse
								//1: Output high pulse
							
	
	
//Do not modify below define														
.if BAM0_Polarity
BAM0_Polarity_setting:	.equ	3
.else 
BAM0_Polarity_setting:	.equ	2
.endif
.if BAM1_Polarity
BAM1_Polarity_setting:	.equ	3
.else 
BAM1_Polarity_setting:	.equ	2
.endif
.if BAM2_Polarity
BAM2_Polarity_setting:	.equ	3
.else 
BAM2_Polarity_setting:	.equ	2
.endif
.if BAM3_Polarity
BAM3_Polarity_setting:	.equ	3
.else 
BAM3_Polarity_setting:	.equ	2
.endif
.if BAM4_Polarity
BAM4_Polarity_setting:	.equ	3
.else 
BAM4_Polarity_setting:	.equ	2
.endif
.if BAM5_Polarity
BAM5_Polarity_setting:	.equ	3
.else 
BAM5_Polarity_setting:	.equ	2
.endif